Bug 1313662 - increasing graphics experience regressions - since kernel 4.3.5
increasing graphics experience regressions - since kernel 4.3.5
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
23
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-02 02:32 EST by Max Kovgan
Modified: 2016-12-20 14:10 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 14:10:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Max Kovgan 2016-03-02 02:32:38 EST
Description of problem:
After the upgrades from kernel-4.3.4-300.fc23.x86_64
I've started experiencing visual problems using gnome desktop.


Version-Release number of selected component (if applicable):
The following kernels manifest the problems:
 i) kernel-4.3.5-300.fc23.x86_64
ii) kernel-4.4.2-301.fc23.x86_64

How reproducible:
100%


Steps to Reproduce:
1. boot into the above kernels, login into GNOME session (Either wayland or non-wayland)
2. open terminal, or a browser (firefox/google-chrome, whatever)
3.

Actual results:
a) mouse cursor disappearing: only visible in gnome top bar or in the notification bottom applet's area
b) flicker:
b.1) if you're on kernel-4.4.2 - sometimes switching applications in full screen causes screen to run and flip-rotate as if out of sync on the old CRT display when vertical sync was mismatching - the image would scroll-rotate vertically, here it is happening horizontally
b.2) on any affected kernel the flickering artifacts appear - on display


Expected results:
a) visible mouse cursor
b) no flicker, no image rotation

Additional info:
My hardware is:  Lenovo ThinkPad T450

----8<----8<----8<----8<----8<----8<----8<----
[root@localhost ~]# lspci 
00:00.0 Host bridge: Intel Corporation Broadwell-U Host Bridge -OPI (rev 09)
00:02.0 VGA compatible controller: Intel Corporation Broadwell-U Integrated Graphics (rev 09)
00:03.0 Audio device: Intel Corporation Broadwell-U Audio Controller (rev 09)
00:14.0 USB controller: Intel Corporation Wildcat Point-LP USB xHCI Controller (rev 03)
00:16.0 Communication controller: Intel Corporation Wildcat Point-LP MEI Controller #1 (rev 03)
00:19.0 Ethernet controller: Intel Corporation Ethernet Connection (3) I218-LM (rev 03)
00:1b.0 Audio device: Intel Corporation Wildcat Point-LP High Definition Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation Wildcat Point-LP PCI Express Root Port #6 (rev e3)
00:1c.1 PCI bridge: Intel Corporation Wildcat Point-LP PCI Express Root Port #3 (rev e3)
00:1d.0 USB controller: Intel Corporation Wildcat Point-LP USB EHCI Controller (rev 03)
00:1f.0 ISA bridge: Intel Corporation Wildcat Point-LP LPC Controller (rev 03)
00:1f.2 SATA controller: Intel Corporation Wildcat Point-LP SATA Controller [AHCI Mode] (rev 03)
00:1f.3 SMBus: Intel Corporation Wildcat Point-LP SMBus Controller (rev 03)
00:1f.6 Signal processing controller: Intel Corporation Wildcat Point-LP Thermal Management Controller (rev 03)
02:00.0 Unassigned class [ff00]: Realtek Semiconductor Co., Ltd. RTS5227 PCI Express Card Reader (rev 01)
03:00.0 Network controller: Realtek Semiconductor Co., Ltd. RTL8192EE PCIe Wireless Network Adapter
---->8---->8---->8---->8---->8---->8---->8----

----8<----8<----8<----8<----8<----8<----8<----
[root@localhost ~]# lsusb
Bus 001 Device 002: ID 8087:8001 Intel Corp. 
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 002: ID 17ef:1012 Lenovo 
Bus 003 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 002 Device 007: ID 04ca:703c Lite-On Technology Corp. 
Bus 002 Device 003: ID 138a:0017 Validity Sensors, Inc. Fingerprint Reader
Bus 002 Device 006: ID 17ef:1011 Lenovo 
Bus 002 Device 004: ID 046d:c52b Logitech, Inc. Unifying Receiver
Bus 002 Device 002: ID 17ef:1012 Lenovo 
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
---->8---->8---->8---->8---->8---->8---->8----

some sections of dmidecode:
----8<----8<----8<----8<----8<----8<----8<----
BIOS Information
	Vendor: LENOVO
	Version: JBET54WW (1.19 )
	Release Date: 11/06/2015
	Address: 0xE0000
	Runtime Size: 128 kB
	ROM Size: 16384 kB
	Characteristics:
		PCI is supported
		PNP is supported
		BIOS is upgradeable
		BIOS shadowing is allowed
		Boot from CD is supported
		Selectable boot is supported
		ACPI is supported
		USB legacy is supported
		BIOS boot specification is supported
		Targeted content distribution is supported
		UEFI is supported
	BIOS Revision: 1.19
	Firmware Revision: 1.2

---->8---->8---->8---->8---->8---->8---->8----

----8<----8<----8<----8<----8<----8<----8<----
Handle 0x0010, DMI type 1, 27 bytes
System Information
	Manufacturer: LENOVO
	Product Name: 20BUS3WJ00
	Version: ThinkPad T450
	Serial Number: PC085DC5
	UUID: ********-****-****-****-************
	Wake-up Type: Power Switch
	SKU Number: LENOVO_MT_20BU_BU_Think_FM_ThinkPad T450
	Family: ThinkPad T450

Handle 0x0011, DMI type 2, 15 bytes
Base Board Information
	Manufacturer: LENOVO
	Product Name: 20BUS3WJ00
	Version: SDK0E50510 WIN
	Serial Number: L**********
	Asset Tag: Not Available
	Features:
		Board is a hosting board
		Board is replaceable
	Location In Chassis: Not Available
	Chassis Handle: 0x0000
	Type: Motherboard
	Contained Object Handles: 0
---->8---->8---->8---->8---->8---->8---->8----
Comment 1 Max Kovgan 2016-03-02 02:36:00 EST
Some journalctl stuff:
----8<----8<----8<----8<----8<----8<----8<----
[root@localhost 4.4.2-301.fc23.x86_64]# journalctl -k -a | grep -i drm                                                                          
Mar 02 10:41:17 localhost.localdomain kernel: ata1.00: supports DRM functions and may not be fully accessible
Mar 02 10:41:17 localhost.localdomain kernel: ata1.00: supports DRM functions and may not be fully accessible
Mar 02 10:41:18 localhost.localdomain kernel: [drm] Initialized drm 1.1.0 20060810
Mar 02 10:41:18 localhost.localdomain kernel: [drm] Memory usable by graphics device = 4096M
Mar 02 10:41:18 localhost.localdomain kernel: fb: switching to inteldrmfb from EFI VGA
Mar 02 10:41:18 localhost.localdomain kernel: [drm] Replacing VGA console driver
Mar 02 10:41:18 localhost.localdomain kernel: [drm] Supports vblank timestamp caching Rev 2 (21.10.2013).
Mar 02 10:41:18 localhost.localdomain kernel: [drm] Driver supports precise vblank timestamp query.
Mar 02 10:41:19 localhost.localdomain kernel: [drm] Initialized i915 1.6.0 20151010 for 0000:00:02.0 on minor 0
Mar 02 10:41:19 localhost.localdomain kernel: fbcon: inteldrmfb (fb0) is primary device
Mar 02 10:41:19 localhost.localdomain kernel: i915 0000:00:02.0: fb0: inteldrmfb frame buffer device
Mar 02 08:41:55 localhost.localdomain kernel: [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe B FIFO underrun
Mar 02 08:42:59 localhost.localdomain kernel: [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe B FIFO underrun
---->8---->8---->8---->8---->8---->8---->8----
Comment 2 Michael Vorburger 2016-11-03 07:32:27 EDT
Related to or duplicate of bug 1375399, bug 1378312, bug 1355851 ?
Comment 3 Fedora End Of Life 2016-11-24 10:53:09 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-12-20 14:10:49 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.